//
//  EaseBuilder.h
//  Tween
//
//  Created by Niall McCormack on 08/07/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuartzCore/QuartzCore.h>


typedef enum {
    EaseTypeDefault,
    EaseTypeLinear,
    EaseTypeEaseIn,
    EaseTypeEaseOut,
    EaseTypeEaseInOut,
    EaseTypeSineIn,
    EaseTypeSineOut,
    EaseTypeSineInOut,
    EaseTypeQuadIn,
    EaseTypeQuadOut,
    EaseTypeQuadInOut,
    EaseTypeCubicIn,
    EaseTypeCubicOut,
    EaseTypeCubicInOut,
    EaseTypeQuartIn,
    EaseTypeQuartOut,
    EaseTypeQuartInOut,
    EaseTypeQuintIn,
    EaseTypeQuintOut,
    EaseTypeQuintInOut,
    EaseTypeExpoIn,
    EaseTypeExpoOut,
    EaseTypeExpoInOut,
    EaseTypeCircIn,
    EaseTypeCircOut,
    EaseTypeCircInOut,
    EaseTypeBackIn,
    EaseTypeBackOut,
    EaseTypeBackInOut   
} EaseType;


@interface MEEaseFunctionBuilder : NSObject {
    
}

+(CAMediaTimingFunction *)functionWithType:(EaseType)type;

@end
